// SA80 version 1.2 by MadDogX (MDX)
// MadDogX@gmx.de
#define TEast 0
#define TWest 1
#define TGuerrila 2
#define TCivilian 3
#define TSideUnknown 4
#define TEnemy 5
#define TFriendly 6
#define TLogic 7

#define true 1
#define false 0

#define private 0
#define protected 1
#define public 2

#define WeaponNoSlot			0
#define WeaponSlotPrimary		1
#define WeaponSlotSecondary		16
#define WeaponSlotItem			256
#define WeaponSlotBinocular		4096
#define WeaponHardMounted		65536

class CfgPatches
{
	class MDXSA80
	{
		units[] = {};
		weapons[] = {MDXSA80};
		requiredVersion = 1.01;
	};
};

class CfgAmmo
{
	
	class default {};
	class BulletSingle:default {};
	class MDXSA80mag:BulletSingle
	{
		hit=10;
   		indirectHit=3;
   		indirectHitRange=0.20000;
   		cost=6;
		explosive=0;
	};
};

class CfgRecoils 
{        
     	MDXSA80R[]={0.1,0.05,0.03,0.1,0,0}; 
};

class CfgWeapons
{
	class default	{};
	class MGun:default {};
	class Riffle:MGun {};	
	class MDXSA80mag:Riffle 
	{
		scopeWeapon = private;
		scopeMagazine = public;		
		displayName = "SA80";
		displayNameMagazine = "SA80 mag";
		shortNameMagazine = "SA80 mag";
		picture="\mdx8\SA80.pac";
		sound[]={\mdx8\SA80.wav,db-0,1};         
  		ReloadMagazineSound[]={\mdx8\SALoad.wav,db-0,1};         
		optics = true;
		modelOptics=\mdx8\SA80_optics.p3d;
   	     	opticsZoomMin=0.1;
  	      	opticsZoomMax=0.1;
  	      	distanceZoomMin=0;
    	    	distanceZoomMax=0;
		count=30;
		initSpeed=930;
		flashsize=0;
		maxLeadSpeed=4000000000;			
		modes[]={"Single","FullAuto"};

		class Single
		{
			ammo="MDXSA80mag";
			multiplier=1;
			burst=1;
			displayName="SA80";
			dispersion=0.002000;
			sound[]={\MDX8\SA80.wav,db-0,1};
			soundContinuous=0;
			reloadTime=0.16;
			ffCount=1;
			recoil="riffleSingle";
			autoFire=0;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=500;
			useAction=0;
			useActionTitle="";
		};
		class FullAuto
		{
			ammo="MDXSA80mag";
			multiplier=1;
			burst=1;
			displayName="SA80 Auto";
			dispersion=0.004000;
			sound[]={\MDX8\SA80.wav,db-0,1};
			soundContinuous=0;
			reloadTime=0.1;
			ffCount=30;
			recoil="riffleBurst3";
			autoFire=1;
			aiRateOfFire=5.000000;
			aiRateOfFireDistance=800;
			useAction=0;
			useActionTitle="";
		};

		magazineReloadTime=1.27;	
		autoReload = false;
		threat[]={1,0.5,0.1};
};

	class MDXSA80
	{
	scopeWeapon = public;
		scopeMagazine = private;
		weaponType = WeaponSlotPrimary;
		displayName = "SA80";
	                model=\mdx8\SA80.p3d
	                picture=\mdx8\SA80.pac;
		muzzles[] = {MDXSA80Muzzle};

		class MDXSA80Muzzle : MDXSA80mag
		{
			magazines[] = {MDXSA80mag};
		};
	};
};

class CfgVehicles
{
	class all {};
	class AllVehicles: All {};
	class Land: AllVehicles {};
	class Man: Land {};
	class Soldier: Man {};
	class SoldierWB: Soldier {};
	class MDXSA80Soldier: SoldierWB
	{
		displayname="Soldier (SA80)";
		weapons[]={MDXSA80,throw,put};
		magazines[]={MDXSA80mag,MDXSA80mag,MDXSA80mag,MDXSA80mag,MDXSA80mag,Handgrenade,Handgrenade,Handgrenade};
	};
};
